MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028003Community[OCCT] OCCT:Modeling Algorithmspublic2016-10-25 13:082017-09-29 16:28
ReporterMarkus 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028003: Cannot revolve a face with a straight B-spline edge lying on axis of revolution
DescriptionIt is not possible to revolve a face if one of its edges is a straight B-spline edge that lies on the axis of revolution.
If the B-spline is replaced by a line, the revolution is possible.

It is understandable that there are problems if a B-spline is very close to or intersecting the axis of revolution but shouldn't the case when all control points of the spline lie on the axis be supported?
 
Steps To Reproducerestore Surf_2Lines.brep s
whatis s
vinit
vdisplay s
checkshape s
revol r s 0 0 0 0 0 1 360
#=> works

whatis r
checkshape r
vdisplay r

restore Surf_Bezier.brep s
whatis s
vclear
vdisplay s
checkshape s
revol r s 0 0 0 0 0 1 360
#=> An exception was caught 00000000033E31F0 : Standard_ConstructionError: Adaptor3d_SurfaceOfRevolution : Axe and meridian are confused
#** Exception ** 00000000033E31F0 : Standard_ConstructionError: Adaptor3d_SurfaceOfRevolution : Axe and meridian are confused
TagsNo tags attached.
Test case numberbugs modalg_6 bug28003
Attached Files? file icon Surf_2Lines.brep (2,046 bytes) 2016-10-25 13:08
? file icon Surf_Bezier.brep (1,928 bytes) 2016-10-25 13:08
png file icon solid with straight spline on axis.png (4,984 bytes) 2016-10-26 13:35

- Relationships
related to 0028326closedapn Checking invariant shapes in revolve is incomplete 

-  Notes
(0059162)
Timo (developer)
2016-10-26 13:41
edited on: 2016-10-26 14:19

If the following lines are removed from GeomAdaptor_SurfaceOfRevolution::Load(const gp_Ax1& V), the operation works:

if ( Ratio >= 100 ) {
      Standard_ConstructionError::Raise("Adaptor3d_SurfaceOfRevolution : Axe and meridian are confused");
    }
Ox = ( (Oz^gp_Vec(PP.XYZ()-O.XYZ()))^Oz);

The result is a valid solid according to checkshape. However, it has an edge lying on the axis and bopcheck complains about the self-intersection between the edge on axis and the plane. See "solid with straight spline on axis.png". If the input shape has a line instead of a spline lying on the axis, the resulting solid does not have an edge on the aixs.

(0063301)
msv (developer)
2017-02-01 15:08

This bug is fixed with 0028326.
(0068533)
msv (developer)
2017-07-21 11:11

Dear bugmaster, please test if it is reproduced.
(0068603)
mkv (tester)
2017-07-21 18:20

Dear BugMaster,
problem described in issue is not reproduced on current state of OCCT.
Problem was fixed with 0028326.
Test was created with 0028326.

- Issue History
Date Modified Username Field Change
2016-10-25 13:08 Timo New Issue
2016-10-25 13:08 Timo Assigned To => msv
2016-10-25 13:08 Timo File Added: Surf_2Lines.brep
2016-10-25 13:08 Timo File Added: Surf_Bezier.brep
2016-10-25 13:12 Timo Steps to Reproduce Updated View Revisions
2016-10-26 13:35 Timo File Added: solid with straight spline on axis.png
2016-10-26 13:41 Timo Note Added: 0059162
2016-10-26 14:19 Timo Note Edited: 0059162 View Revisions
2016-10-26 14:32 msv Target Version 7.1.0 => 7.2.0
2017-02-01 12:59 Timo Relationship added related to 0028326
2017-02-01 15:08 msv Note Added: 0063301
2017-02-01 15:09 msv Status new => assigned
2017-05-31 15:34 Timo Reporter Timo => Markus
2017-07-21 11:11 msv Note Added: 0068533
2017-07-21 11:11 msv Assigned To msv => bugmaster
2017-07-21 11:11 msv Status assigned => feedback
2017-07-21 14:19 bugmaster Assigned To bugmaster => mkv
2017-07-21 18:20 mkv Assigned To mkv => bugmaster
2017-07-21 18:20 mkv Note Added: 0068603
2017-07-21 18:21 mkv Test case number => bugs modalg_6 bug28003
2017-07-21 18:23 mkv Status feedback => tested
2017-07-27 08:52 bugmaster Status tested => verified
2017-07-27 08:52 bugmaster Resolution open => fixed
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:28 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker